## samba 4.4.5+dfsg

=== debian/changelog ===
samba (2:4.4.5+dfsg-2ubuntu5) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Sep 2016 10:26:52 +0000

samba (2:4.4.5+dfsg-2ubuntu4) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:09:21 +0000

samba (2:4.4.5+dfsg-2ubuntu3) yakkety; urgency=medium

  * debian/patches/git_smbclient_cpu.patch:
    - backport upstream patch to fix smbclient users hanging/eating cpu on
      trying to contact a machine which is not there (lp: #1572260)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Aug 2016 17:32:43 +0200

samba (2:4.4.5+dfsg-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + debian/VERSION.patch: Update vendor string to "Ubuntu".
    + debian/smb.conf;
      - Add "(Samba, Ubuntu)" to server string.
      - Comment out the default [homes] share, and add a comment about "valid users = %s"
         to show users how to restrict access to \\server\username to only username.
    + debian/samba-common.config:
      - Do not change prioritiy to high if dhclient3 is installed.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debia/samb-common-bin.install: install hook.
    + d/p/krb_zero_cursor.patch - apply proposed-upstream fix for
      pam_winbind krb5_ccache_type=FILE failure (LP: #1310919)
    + debian/patches/winbind_trusted_domains.patch: make sure domain members
      can talk to trusted domains DCs.
  * Dropped changes:
    - build-depends on libgnutls-dev instead of libgnutsl28-dev: rename was
      never done in Debian, revert.
    - ufw integration: included in Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jul 2016 17:45:46 -0700

samba (2:4.4.5+dfsg-2) unstable; urgency=medium

  * Disable running of 'make quicktest' during build, as it takes very
    long to run on x32 and enables building non-production NTVFS server.
    Closes: #830571

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Jul 2016 19:09:19 +0000

samba (2:4.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
   + Fixes CVE-2016-2119: Client side SMB2/3 required signing can be
     downgraded. Closes: #830195

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 07 Jul 2016 10:51:40 +0000

samba (2:4.4.4+dfsg-3) unstable; urgency=medium

  * Add patch gcc_6.patch, fixing compatibility with gcc 6.
    Closes: #812264

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 04 Jul 2016 12:20:56 +0000

samba (2:4.4.4+dfsg-2) unstable; urgency=medium

  * Mask samba-ad-dc.service unless needed (Closes: #828137)
  * Fix kill path in systemd units (Closes: #828730)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 27 Jun 2016 21:37:58 +0200

samba (2:4.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * The "Thanks lintian" release
  * Fixes:
    - Ensure that dpkg-buildflags are passed, and enable all hardening
    - systemd
      + Enable systemd (sd_notify) on Linux, and install systemd files
      + Remove obsolete syslog.target from service files
      + Add documentation field to unit files
    - Drop fix-cluster-build.diff: no more needed
    - Use secure Vcs-* URLs
    - Fix copyright file
    - samba.postinst: command-with-path-in-maintainer-script update-inetd
    - samba-common-bin: package-contains-empty-directory usr/lib/samba/
    - winbind: package-contains-empty-directory usr/lib/samba/nss_info/
    - Add Description to init files
  * No-op fixes:
    - d/control: Drop XS-Testsuite field
    - Drop redundant "Priority: optional" fields
    - Drop redundant "Section: net" fields
    - Describe non-standard-dir-perm var/spool/samba/
    - Describe no_build_system.patch
    - Remove README.build-upstream, as packaging/Debian/ is now empty
    - Verify upstream tarball from uscan
    - Update README.source and remove build-orig.sh

 -- Mathieu Parent <sathieu@debian.org>  Mon, 13 Jun 2016 21:52:52 +0200

samba (2:4.4.3+dfsg-4) unstable; urgency=medium

  * Fix build with DEB_BUILD_OPTIONS=nocheck
  * Still run "make quicktest" but ignore failures

 -- Mathieu Parent <sathieu@debian.org>  Sat, 07 May 2016 13:18:53 +0200

samba (2:4.4.3+dfsg-3) unstable; urgency=medium

  * Skip raw.write tests for now as they fail on 32-bit

 -- Mathieu Parent <sathieu@debian.org>  Fri, 06 May 2016 15:34:07 +0200

samba (2:4.4.3+dfsg-2) unstable; urgency=medium

  * Run quicktest during build
  * Reproducibility:
    - Drop no_build_options.patch as it breaks "make test"
    - Remove unreproducible build environment instead
  * Mention that patch waf_smbpasswd_location was submitted
  * usershare.patch: Fix "usershare max shares" default in XML doc and in s4

 -- Mathieu Parent <sathieu@debian.org>  Tue, 03 May 2016 12:30:56 +0200

samba (2:4.4.3+dfsg-1) unstable; urgency=medium

  * Cleanup ctdb READMEs during 'clean' step.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 02 May 2016 14:12:46 +0000

samba (2:4.4.2+dfsg-2) unstable; urgency=medium

  * Merge in 4.3 package changes.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Apr 2016 01:29:47 +0000

samba (2:4.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.8 (no changes).
  * Drop build dependency on perl-modules; depend on perl instead.
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 26 Apr 2016 23:29:54 +0000

samba (2:4.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release
   + Fixes (Patches by Stefan Metzmacher of SerNet and others on the Samba Team):
    - CVE-2015-5370 (Multiple errors in DCE-RPC code)
    - CVE-2016-2110 (Man in the middle attacks possible with NTLMSSP)
    - CVE-2016-2111 (NETLOGON Spoofing Vulnerability)
    - CVE-2016-2112 (LDAP client and server don't enforce integrity)
    - CVE-2016-2113 (Missing TLS certificate validation)

