## samba 4.5.4+dfsg

=== debian/changelog ===
samba (2:4.5.4+dfsg-1ubuntu2) zesty; urgency=medium

  * d/control: add libcephfs-dev as b-d to build vfs_ceph
    (LP: #1668940).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 06 Mar 2017 11:13:41 -0800

samba (2:4.5.4+dfsg-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable (LP: #1659707, LP: #1639962). Remaining
    changes:
    + debian/VERSION.patch: Update vendor string to "Ubuntu".
    + debian/smb.conf;
      - Add "(Samba, Ubuntu)" to server string.
      - Comment out the default [homes] share, and add a comment about "valid users = %s"
         to show users how to restrict access to \\server\username to only username.
    + debian/samba-common.config:
      - Do not change prioritiy to high if dhclient3 is installed.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debia/samb-common-bin.install: install hook.
    + d/p/krb_zero_cursor.patch - apply proposed-upstream fix for
      pam_winbind krb5_ccache_type=FILE failure (LP #1310919)
    + debian/patches/winbind_trusted_domains.patch: make sure domain members
      can talk to trusted domains DCs.
      [ update patch based upon upstream discussion ]
    + d/p/fix-1584485.patch: Make libnss-winbind and libpam-winbind
      to be statically linked fixes LP #1584485.
    + d/rules: Compile winbindd/winbindd statically.
  * Drop:
    - Delete debian/.gitignore
    [ Previously undocumented ]
    - debian/patches/git_smbclient_cpu.patch:
      + backport upstream patch to fix smbclient users hanging/eating cpu on
        trying to contact a machine which is not there (lp #1572260)
    [ Fixed upstream ]
    - SECURITY UPDATE: remote code execution via heap overflow in NDR parsing
      + debian/patches/CVE-2016-2123.patch: check lengths in
        librpc/ndr/ndr_dnsp.c.
      + CVE-2016-2123
    [ Fixed in Debian ]
    - SECURITY UPDATE: unconditional privilege delegation to Kerberos servers
      + debian/patches/CVE-2016-2125.patch: don't use GSS_C_DELEG_FLAG in
        source4/scripting/bin/nsupdate-gss, source3/librpc/crypto/gse.c,
        source4/auth/gensec/gensec_gssapi.c.
      + CVE-2016-2125
    [ Fixed in Debian ]
    - SECURITY UPDATE: privilege elevation in Kerberos PAC validation
      + debian/patches/CVE-2016-2126.patch: only allow known checksum types
        in auth/kerberos/kerberos_pac.c.
      + CVE-2016-2126
    [ Fixed in Debian ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 26 Jan 2017 17:20:15 -0800

samba (2:4.5.4+dfsg-1) unstable; urgency=medium

  [ Mathieu Parent ]
  * New upstream version
    - Drop security-2016-12-19.patch, was 4.5.3
  * missing-build-dependency-for-dh_-command dh_python2 => dh-python

  [ Vincent Blut ]
  * d/control: Suggest chrony as an alternative to ntp (Closes: #851727)

  [ Daniel A ]
  * add gpgme support (Closes: #850908)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 25 Jan 2017 21:25:40 +0100

samba (2:4.5.2+dfsg-2) unstable; urgency=high

  * This is a security release in order to address the following defects:
    - CVE-2016-2123 (Samba NDR Parsing ndr_pull_dnsp_name Heap-based Buffer
      Overflow Remote Code Execution Vulnerability).
    -  CVE-2016-2125 (Unconditional privilege delegation to Kerberos servers in
      trusted realms).
    -  CVE-2016-2126 (Flaws in Kerberos PAC validation can trigger privilege
       elevation).

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Dec 2016 22:54:35 +0100

samba (2:4.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version
    - Remove CTDB-Fix-samba-eventscript.patch: merged
    - d/rules: /usr/share/ctdb-tests is now /usr/share/ctdb/tests
  * Update gbp.conf with debian-branch = master

 -- Mathieu Parent <sathieu@debian.org>  Thu, 08 Dec 2016 20:21:52 +0100

samba (2:4.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 05 Dec 2016 07:01:35 +0100

samba (2:4.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version
    - Refresh patches
    - Remove bug_12283_segfault_tevent_internals.patch
    - Remove gencache-Bail-out-of-stabilize-if-we-can-not-get-the.patch
    - Adding libdsdb-garbage-collect-tombstones.so.0 to samba-libs.install
  * CTDB: Fix samba eventscript
  * nmbd requires a working network (Closes: #698056, #842056, #840608,
    LP: #1635491)
  * Be more verbose about masking samba-ad-dc.service (Closes: #841147)
  * Remove Fix_parallel_build.patch, not working

 -- Mathieu Parent <sathieu@debian.org>  Tue, 01 Nov 2016 13:54:29 +0100

samba (2:4.5.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version
    + Remove patches:
      - bug_601406_fix-perl-path-in-example.patch, similar applied
      - waf_smbpasswd_location, applied
      - Fix-privacy-breach-on-google.com.patch, doc moved out of source
      - ctdb-Fix-detection-of-gnukfreebsd.patch, applied
      - gcc_6.patch, applied
    + Dumped dependencies
      - libldb-dev (>= 2:1.1.27~)
      - libtalloc-dev (>= 2.1.8~)
      - libtdb-dev (>= 1.3.10~)
      - libtevent-dev (>= 0.9.29~)
      - python-talloc-dev (>= 2.1.8~)
    + Install new files and update debian/ctdb.docs
    + Update to libwbclient0.symbols
    + Update samba-libs.lintian-overrides (libtevent-unix-util0 removed)
    + /etc/default/ctdb is now /etc/ctdb/ctdbd.conf
  * Add patch for https://bugzilla.samba.org/show_bug.cgi?id=12045
  * ctdb/wscript: Call CHECK_XSLTPROC_MANPAGES() before checking
    XSLTPROC_MANPAGES. This should fix parallel builds, including
    tests.reproducible-builds.org. Thanks HW42 on IRC
  * Depends: lsb-base (>= 3.0-6), for ctdb and winbind as they source
    /lib/lsb/init-functions

 -- Mathieu Parent <sathieu@debian.org>  Sun, 23 Oct 2016 15:56:59 +0200

samba (2:4.4.6+dfsg-2) unstable; urgency=high

  * Remove uses of tevent internals. This fixes segfault.
    Closes: #840382, #840298.

 -- Mathieu Parent <sathieu@debian.org>  Wed, 12 Oct 2016 05:53:33 +0200


