=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
-           Christian Perrier <bubulle@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
            Ivo De Decker <ivodd@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
@@ -13,6 +12,7 @@
 Standards-Version: 3.9.8
 Build-Depends: bison,
                debhelper (>> 9),
+               dh-python,
                dh-systemd (>= 1.5),
                docbook-xml,
                docbook-xsl,
@@ -25,10 +25,12 @@
                libblkid-dev,
                libbsd-dev,
                libcap-dev [linux-any],
+               libcephfs-dev,
                libcups2-dev,
                libgnutls28-dev,
+               libgpgme11-dev,
                libldap2-dev,
-               libldb-dev (>= 2:1.1.26~),
+               libldb-dev (>= 2:1.1.27~),
                libncurses5-dev,
                libpam0g-dev,
                libparse-yapp-perl,
@@ -36,9 +38,9 @@
                libpopt-dev,
                libreadline-dev,
                libsystemd-dev [linux-any],
-               libtalloc-dev (>= 2.1.6~),
-               libtdb-dev (>= 1.3.8~),
-               libtevent-dev (>= 0.9.25~),
+               libtalloc-dev (>= 2.1.8~),
+               libtdb-dev (>= 1.3.10~),
+               libtevent-dev (>= 0.9.29~),
                perl,
                pkg-config,
                po-debconf,
@@ -46,7 +48,7 @@
                python-dnspython,
                python-ldb (>= 2:1.1.26~),
                python-ldb-dev (>= 2:1.1.26~),
-               python-talloc-dev (>= 2.1.6~),
+               python-talloc-dev (>= 2.1.8~),
                python-tdb (>= 1.3.8~),
                python-testtools,
                python3,
@@ -78,7 +80,7 @@
           bind9utils,
           ctdb,
           ldb-tools,
-          ntp,
+          ntp | chrony (>= 3.0-1),
           smbldap-tools,
           winbind,
           ufw
@@ -190,7 +192,7 @@
          samba-common (=${source:Version}),
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends}, samba-libs (= ${binary:Version})
 Conflicts: samba (<< 2:3.3.0~rc2-5),
            samba-common (<< 2:3.3.0~rc2-5),
            samba-doc (<< 2:4.0.5~)
@@ -212,7 +214,7 @@
 
 Package: smbclient
 Architecture: any
-Depends: samba-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: samba-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}, samba-libs (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6~)
 Replaces: samba (<< 2.999+3.0.alpha21-4),
           samba-doc (<< 2:4.0.5~),
@@ -239,7 +241,7 @@
           samba-tools,
           samba4-testsuite
 Conflicts: samba-doc (<< 2:4.0.5~), samba-libs (<< 2:4.0.10+dfsg-4)
-Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends}, samba-libs (= ${binary:Version})
 Description: test suite from Samba
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -251,7 +253,7 @@
 
 Package: registry-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, samba-libs (= ${binary:Version})
 Replaces: samba-doc (<< 2:4.0.5~)
 Conflicts: samba-doc (<< 2:4.0.5~)
 Description: tools for viewing and manipulating the Windows registry
@@ -307,8 +309,3 @@
           libsmbd-dev (<< 2:4.0.9),
           libtorture-dev (<< 2:4.0.9),
           samba4-dev
-Breaks: libdcerpc-dev (<< 2:4.0.9),
-        libdcerpc-server-dev (<< 2:4.0.9),
-        libgensec-dev (<< 2:4.0.9),
-        libndr-dev (<< 2:4.0.9),
-        libndr-standard-dev (<< 2:4.0.9),
