=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,7 @@
 		--with-ldap \
 		--with-ads \
 		--with-dnsupdate \
+		--with-gpgme \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/samba \
 		--datadir=/usr/share \
@@ -118,8 +119,6 @@
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 	dh_installdocs -pctdb debian/ctdb.README.kfreebsd
 endif
-	#patch doc
-	sed -i 's|/etc/sysconfig/|/etc/default/|' $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/web/*.html
 
 override_dh_install:
 	# get list of files in build log
@@ -154,9 +153,6 @@
 	cp debian/gdbcommands $(DESTDIR)/etc/samba/
 	mkdir -p $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp/dhclient-enter-hooks.d/samba
-	# Ubuntu things
-	mkdir -p $(DESTDIR)/usr/share/apport/package-hooks
-	install -D -m 644 debian/source_samba.py $(DESTDIR)/usr/share/apport/package-hooks/source_samba.py
 	# Install other stuff not installed by "make install"
 	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
 	mkdir -p debian/samba/usr/lib/$(PYSHORT)/dist-packages/samba
@@ -173,8 +169,8 @@
 	# Remove ctdb tests
 	rm $(DESTDIR)/usr/bin/ctdb_run_tests
 	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
-	rm -rf $(DESTDIR)/usr/lib/*/ctdb-tests
-	rm -rf $(DESTDIR)/usr/share/ctdb-tests
+	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
+	rm -r $(DESTDIR)/usr/share/ctdb/tests
 	# Install systemd configs
 	mkdir -p $(DESTDIR)/lib/systemd/system/
 	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
@@ -187,8 +183,14 @@
 	  -e 's|/nmb\.service|nmbd.service|' \
 	  -e 's|/smb\.service|smbd.service|' \
 	  -e 's|/samba\.service|samba-ad-dc.service|' \
-	  $(DESTDIR)/lib/systemd/system/*.service
+	  -e 's|^PIDFile=/run/|PIDFile=/var/run/samba/|' \
+	  $(DESTDIR)/lib/systemd/system/nmbd.service \
+	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
+	  $(DESTDIR)/lib/systemd/system/smbd.service \
+	  $(DESTDIR)/lib/systemd/system/winbind.service
 	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
 	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf
 	#install -m 0644 packaging/systemd/samba.sysconfig $(DESTDIR)/etc/default/samba
 	#
+	dh_install --sourcedir=$(DESTDIR) --list-missing --fail-missing
+
