## samba 4.5.6+dfsg

=== debian/changelog ===
samba (2:4.5.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix typo in smbd.service and winbind.service (s/nmb.service/nmbd.service)
    (Closes: #857232)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 09 Mar 2017 15:42:37 +0100
