=== debian/rules ===
--- 
+++ 
@@ -180,9 +180,9 @@
 	mv $(DESTDIR)/lib/systemd/system/samba.service $(DESTDIR)/lib/systemd/system/samba-ad-dc.service
 	sed -i \
 	  -e 's|/etc/sysconfig/|/etc/default/|' \
-	  -e 's|/nmb\.service|nmbd.service|' \
-	  -e 's|/smb\.service|smbd.service|' \
-	  -e 's|/samba\.service|samba-ad-dc.service|' \
+	  -e 's|nmb\.service|nmbd.service|' \
+	  -e 's|smb\.service|smbd.service|' \
+	  -e 's|samba\.service|samba-ad-dc.service|' \
 	  -e 's|^PIDFile=/run/|PIDFile=/var/run/samba/|' \
 	  $(DESTDIR)/lib/systemd/system/nmbd.service \
 	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
@@ -194,3 +194,4 @@
 	#
 	dh_install --sourcedir=$(DESTDIR) --list-missing --fail-missing
 
+override_dh_python2:
