=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: samba
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
            Ivo De Decker <ivodd@debian.org>,
@@ -13,7 +12,6 @@
 Build-Depends: bison,
                debhelper (>> 9),
                dh-python,
-               dh-systemd (>= 1.5),
                docbook-xml,
                docbook-xsl,
                faketime,
@@ -25,7 +23,6 @@
                libblkid-dev,
                libbsd-dev,
                libcap-dev [linux-any],
-               libcephfs-dev,
                libcups2-dev,
                libgnutls28-dev,
                libgpgme11-dev,
@@ -37,7 +34,6 @@
                libpcap-dev [hurd-i386 kfreebsd-any],
                libpopt-dev,
                libreadline-dev,
-               libsystemd-dev [linux-any],
                libtalloc-dev (>= 2.1.8~),
                libtdb-dev (>= 1.3.10~),
                libtevent-dev (>= 0.9.29~),
@@ -309,3 +305,8 @@
           libsmbd-dev (<< 2:4.0.9),
           libtorture-dev (<< 2:4.0.9),
           samba4-dev
+Breaks: libdcerpc-dev (<< 2:4.0.9),
+        libdcerpc-server-dev (<< 2:4.0.9),
+        libgensec-dev (<< 2:4.0.9),
+        libndr-dev (<< 2:4.0.9),
+        libndr-standard-dev (<< 2:4.0.9),
