=== debian/rules ===
--- 
+++ 
@@ -75,14 +75,14 @@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	conf_args += \
-		--with-systemd
+		--without-systemd
 else
 	conf_args += \
 		--without-systemd
 endif
 
 %:
-	dh $* --with python2 --with systemd
+	dh $* --with python2
 
 override_dh_auto_configure:
 	$(WAF) configure $(conf_args)
@@ -105,9 +105,6 @@
 override_dh_auto_test:
 	# Running make test requires configuration with --enable-selftest, which
 	# we don't want to do for production systems.
-
-override_dh_systemd_start:
-	dh_systemd_start -pctdb --no-start --no-restart-on-upgrade
 
 override_dh_installdocs-arch:
 	cp ctdb/config/events.d/README ctdb/README.eventscripts
@@ -162,7 +159,7 @@
 	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
 	# use upstream version of smb.conf.5 if there is no built version
 	# this is a temporary workaround for #750593 in xsltproc
-	[ -e $(DESTIDR)/usr/share/man/man5/smb.conf.5 ] || \
+	[ -e $(DESTDIR)/usr/share/man/man5/smb.conf.5 ] || \
 	   cp docs/manpages/smb.conf.5 $(DESTDIR)/usr/share/man/man5/smb.conf.5
 	# Tests that shouldn't be installed
 	rm -f $(DESTDIR)/usr/bin/async_connect_send_test
@@ -171,23 +168,6 @@
 	rm $(DESTDIR)/usr/bin/ctdb_run_cluster_tests
 	rm -r $(DESTDIR)/usr/lib/*/ctdb/tests
 	rm -r $(DESTDIR)/usr/share/ctdb/tests
-	# Install systemd configs
-	mkdir -p $(DESTDIR)/lib/systemd/system/
-	install -m 0644 ctdb/config/ctdb.service $(DESTDIR)/lib/systemd/system/
-	install -m 0644 packaging/systemd/*.service $(DESTDIR)/lib/systemd/system/
-	mv $(DESTDIR)/lib/systemd/system/nmb.service $(DESTDIR)/lib/systemd/system/nmbd.service
-	mv $(DESTDIR)/lib/systemd/system/smb.service $(DESTDIR)/lib/systemd/system/smbd.service
-	mv $(DESTDIR)/lib/systemd/system/samba.service $(DESTDIR)/lib/systemd/system/samba-ad-dc.service
-	sed -i \
-	  -e 's|/etc/sysconfig/|/etc/default/|' \
-	  -e 's|nmb\.service|nmbd.service|' \
-	  -e 's|smb\.service|smbd.service|' \
-	  -e 's|samba\.service|samba-ad-dc.service|' \
-	  -e 's|^PIDFile=/run/|PIDFile=/var/run/samba/|' \
-	  $(DESTDIR)/lib/systemd/system/nmbd.service \
-	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
-	  $(DESTDIR)/lib/systemd/system/smbd.service \
-	  $(DESTDIR)/lib/systemd/system/winbind.service
 	mkdir -p $(DESTDIR)/usr/lib/tmpfiles.d
 	echo "d /run/samba 0755 root root -" > $(DESTDIR)/usr/lib/tmpfiles.d/samba.conf
 	#install -m 0644 packaging/systemd/samba.sysconfig $(DESTDIR)/etc/default/samba
@@ -195,3 +175,35 @@
 	dh_install --sourcedir=$(DESTDIR) --list-missing --fail-missing
 
 override_dh_python2:
+	dh_python2 --no-guessing-versions
+
+override_dh_installpam:
+	dh_installpam --name=samba
+
+get-packaged-orig-source:
+	./debian/build-orig.sh
+
+override_dh_installchangelogs:
+	dh_installchangelogs
+
+override_dh_installinit:
+ifneq (,$(filter samba, $(shell dh_listpackages)))
+	dh_installinit -psamba --name smbd
+	dh_installinit -psamba --name nmbd
+	dh_installinit -psamba --name samba-ad-dc
+	dh_installinit -psamba --noscripts
+	dh_installinit -psamba --no-start --name reload-smbd
+endif
+ifneq (,$(filter winbind, $(shell dh_listpackages)))
+	dh_installinit -pwinbind
+endif
+ifneq (,$(filter ctdb, $(shell dh_listpackages)))
+	install -m644 ctdb/config/ctdbd.conf $(CURDIR)/debian/ctdb/etc/ctdb/ctdbd.conf
+	# Install /etc/init.d/ctdb
+	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
+	install -m755 ctdb/config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
+	# Install dh scripts
+	dh_installinit -pctdb --no-start --no-restart-on-upgrade --onlyscripts
+endif
+
+override_dh_shlibdeps:
